We're sorry Aspose doesn't work properply without JavaScript enabled.

Free Support Forum - aspose.com

The subscription included in this license allows free upgrades until 18 Jun 2013- but this version of the product was released on 27 Feb 2014. Please renew the subscription or use a previous version of the product aspose pdf

We are receiving below error message in production environment after configuring new servers. Pdf printing was working as expected on old server as expected. This error is coming only one server and file version on both server is same.

1 Like

Hi Vishal,


Thanks for your inquiry. Please note a customer is entitled to use any release of the purchased product published before the subscription expiry date of license.

According to the error message, It seems you are trying to use a newer version than your subscription so getting the error message. Please double check the subscription expiry date from your license file and release date of Aspose.PDF for .NET used on the problematic server. If you are using a valid license and API combination then please whether you are referring correct license in your application. It would help you to resolve the issue.

We are sorry for the inconvenience caused.

Best Regards,

Hi Vishal,

Adding more to Tilal’s comments, by the time you upgrade your license subscription, you may consider requesting a 30 days temporary license to use/test our API’s without any limitations and once you get an updated copy of license, you can replace temp license with new license. For further details, please visit Get a temporary license